<%
/*
Note: The contents of this file will be directly overwritten when EZDML is upgraded. Instead of modifying this file directly, copy the file to a new name and modify the new file.

注意：程序升级时会直接覆盖此文件内容，请不要直接修改此文件，如果需要请将此文件复制到新名称，然后对新文件进行修改。

2022-02-11: 生成vue-ele-admin

*/

//本页面采用EZDML模板语法（<%开头的脚本编译前会自动进行转换，类似JSP，脚本调试器里点编译能看到转换后的代码）
//生成的结果内容中也包含JS，所以要注意分清哪些代码是EZDML执行、哪些是浏览器执行的

#include "..\..\..\..\..\VueElementLib.js_"

//main函数主程序开始

var tb=curTable; //记录当前表和字段列表
if(!tb)
  Abort();
var fds=tb.metaFields;

//检查是否需要显示合计
var afCount=0;
var fdAggrMap={};
for(var k=0; k<fds.count; k++) 
{ //字段循环开始
  var fd = fds.getItem(k); //取第k个字段
  if(!fd.canDisplay('grid')) //判断字段可否在列表显示
    continue;
  if(fd.aggregateFun) //是否有合计
    afCount++;
  fdAggrMap[fd.name]=fd.aggregateFun;
}

//下面开始输出
%>

const Mock = require('mockjs')

<%
//准备示例数据列表
var rc=15; //输出25行
var ds=[];
for(var r=0; r<rc; r++){  
  var json=getDemoJson(tb,r,'[GRID]');
  ds.push(json);
}
%>

//输出列表数据
var demoDataList=${JSON.stringify(ds,null,2)};

//输出表单数据
var demoFormData=${JSON.stringify(getDemoJson(tb,0,'[LABELTEXT]'),null,2)};

module.exports = [
  {
    url: '/vue-admin-template/ez_${ChnToPY(curModel.name)}/${ChnToPY(curTable.name)}/list',
    type: 'get',
    response: config => {
      return {
        code: 20000,
        data: {
          total: demoDataList.length,
          items: demoDataList
        }
      }
    }
  },
  
  {
    url: '/vue-admin-template/ez_${ChnToPY(curModel.name)}/${ChnToPY(curTable.name)}/detail',
    type: 'get',
    response: config => {
      return {
        code: 20000,
        data: {
          detail: demoFormData
        }
      }
    }
  }
]
